Page MenuHomePhabricator

Implement "Warn When Landing" behavior for Build Plans in Arcanist
ClosedPublic

Authored by epriestley on Mar 1 2019, 2:13 PM.

Details

Summary

Ref T13258. This makes "arc land" respect the new "Warn When Landing" behavior.

This will only work if you have very up-to-date APIs. Just fall back to the older code if the new API calls fail.

Test Plan

Ran arc land on a revision with builds in various states and with the different "Warn When Landing" behaviors. Saw appropriate warnings.

Diff Detail

Repository
rARC Arcanist
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley created this revision.Mar 1 2019, 2:13 PM
epriestley requested review of this revision.Mar 1 2019, 2:14 PM
amckinley accepted this revision.Mar 5 2019, 8:04 PM
amckinley added inline comments.
src/workflow/ArcanistLandWorkflow.php
1588

"despite ongoing build"

1611

Could the conduit URI ever be something != the web UI URI?

This revision is now accepted and ready to land.Mar 5 2019, 8:04 PM
epriestley added inline comments.Mar 6 2019, 2:35 PM
src/workflow/ArcanistLandWorkflow.php
1611

Today, they're always the same.

With SSH conduit URIs in the future, they could differ. We just don't currently have a better source for this.

(The API should probably return a "uri".)

epriestley updated this revision to Diff 48341.Mar 6 2019, 2:35 PM
  • Typos/spelling.
This revision was automatically updated to reflect the committed changes.